/*
 *  libMirage: Library version
 *  Copyright (C) 2008-2010 Rok Mandeljc
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __MIRAGE_VERSION_H__
#define __MIRAGE_VERSION_H__


G_BEGIN_DECLS

extern const guint mirage_major_version;
extern const guint mirage_minor_version;
extern const guint mirage_micro_version;

extern const guint mirage_lt_current;
extern const guint mirage_lt_revision;
extern const guint mirage_lt_age;

extern const gchar *mirage_version_long;
extern const gchar *mirage_version_short;

/**
 * MIRAGE_MAJOR_VERSION:
 *
 * <para>
 * The major version number of the libMirage library. Like #mirage_major_version, 
 * but from the headers used at application compile time, rather than from the 
 * library linked against at application run time.
 * </para>
 **/
#define MIRAGE_MAJOR_VERSION 1

/**
 * MIRAGE_MINOR_VERSION:
 *
 * <para>
 * The minor version number of the libMirage library. Like #mirage_minor_version, 
 * but from the headers used at application compile time, rather than from the 
 * library linked against at application run time.
 * </para>
 **/
#define MIRAGE_MINOR_VERSION 3

/**
 * MIRAGE_MICRO_VERSION:
 *
 * <para>
 * The micro version number of the libMirage library. Like #mirage_micro_version, 
 * but from the headers used at application compile time, rather than from the 
 * library linked against at application run time.
 * </para>
 **/
#define MIRAGE_MICRO_VERSION 0


/**
 * MIRAGE_VERSION_LONG:
 *
 * <para>
 * The long version string of the libMirage library. Like #mirage_version_long, 
 * but from the headers used at application compile time, rather than from the 
 * library linked against at application run time.
 * </para>
 **/
#define MIRAGE_VERSION_LONG "1.3.0"

/**
 * MIRAGE_VERSION_SHORT:
 *
 * <para>
 * The short version string of the libMirage library. Like #mirage_version_long, 
 * but from the headers used at application compile time, rather than from the 
 * library linked against at application run time.
 * </para>
 **/
#define MIRAGE_VERSION_SHORT "1.3"


/**
 * MIRAGE_LT_CURRENT:
 *
 * <para>
 * The current component of libtool version of the libMirage library. Like 
 * #mirage_lt_current, but from the headers used at application compile time, 
 * rather than from the library linked against at application run time.
 * </para>
 **/
#define MIRAGE_LT_CURRENT 3

/**
 * MIRAGE_LT_REVISION:
 *
 * <para>
 * The revision component of libtool version of the libMirage library. Like 
 * #mirage_lt_revision, but from the headers used at application compile time, 
 * rather than from the library linked against at application run time.
 * </para>
 **/
#define MIRAGE_LT_REVISION 0

/**
 * MIRAGE_LT_AGE:
 *
 * <para>
 * The age component of libtool version of the libMirage library. Like 
 * #mirage_lt_age, but from the headers used at application compile time, 
 * rather than from the library linked against at application run time.
 * </para>
 **/
#define MIRAGE_LT_AGE 0

G_END_DECLS

#endif /* __MIRAGE_PLUGIN_H__ */
